| Elektra 0.11.0

Public Types | List of all members
kdb::Command Struct Reference

Used by contexts for callbacks (to run code using a mutex). More...

`#include <kdbvalue.hpp>`

## Public Types
typedef std::function< Pair()> | Func
| Typedef for function that returns oldKey, newKey pair.

## Detailed Description

Used by contexts for callbacks (to run code using a mutex).

Following scenarios are possible: !oldName && !newName: execute code, do nothing else !oldName && newName: attach oldName && newName: reattach oldName == newName: assignment, attach for inter-thread updates oldName && !newName: detach

The documentation for this struct was generated from the following file:

- kdbvalue.hpp